Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class ClientElement

`java.lang.Object
oracle.jbo.common.ClientElement`

All Implemented Interfaces:
  java.io.Serializable

public class ClientElement
extends java.lang.Object
implements java.io.Serializable

Internal: Applications should not use this class.

Defines a simple XML element.

`ClientElement` instances are serialized to the client from the middle tier. The middle-tier provides an XML parser and can construct an XML hierarchy tree from XML, or convert a tree into XML.

Since:
  Jdeveloper 3.0
See Also:
  `ClientDocument`, Serialized Form

Constructor Summary
`ClientElement()` Creates an empty `ClientElement` instance.
`ClientElement(java.lang.String name)` Creates a named `ClientElement` instance.

Method Summary
`void` | `addAttribute(java.lang.String key, java.lang.String value)` Adds an attribute to this element.
`void` | `addChild(ClientElement element)` Adds a subsidiary element to this element.
`java.lang.String` | `getAttribute(java.lang.String name)` Finds an attribute with given name.
`ClientElement[]` | `getElementsOfType(java.lang.String tagName)` Creates an array of all subsidiary elements having given name
`java.lang.String` | `getName()` Gets the name of this element.
`void` | `removeAttribute(java.lang.String key)` Removes an attribute from this element.
`void` | `removeChild(ClientElement element)` Removes a subsidiary element from this element.
`void` | `setName(java.lang.String name)` Sets the name of this element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientElement

    public ClientElement()

  Creates an empty `ClientElement` instance.

### ClientElement

    public ClientElement(java.lang.String name)

  Creates a named `ClientElement` instance.
Parameters:
  `name` - the instance's name.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this element.
  Returns:
    this element's name.

### setName

    public void setName(java.lang.String name)

  Sets the name of this element.
  Parameters:
    `name` - this element's new name.

### addAttribute

    public void addAttribute(java.lang.String key,
                             java.lang.String value)

  Adds an attribute to this element.
  Parameters:
    `key` - the attribute's name.
    `value` - the attribute's encoded value.

### removeAttribute

    public void removeAttribute(java.lang.String key)

  Removes an attribute from this element.
  Parameters:
    `key` - the attribute's name.

### addChild

    public void addChild(ClientElement element)

  Adds a subsidiary element to this element.
  Parameters:
    `element` - an element.

### removeChild

    public void removeChild(ClientElement element)

  Removes a subsidiary element from this element.
  Parameters:
    `element` - a child of this element.

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Finds an attribute with given name.
  Parameters:
    `name` - the attribute's key.
  Returns:
    the attribute's string-encoded value, or `null` if not found.

### getElementsOfType

    public ClientElement[] getElementsOfType(java.lang.String tagName)

  Creates an array of all subsidiary elements having given name
  Parameters:
    `tagName` - the name to use to select elements.
  Returns:
    the array of elements

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.